Bug 1006893 - RHEVM-BACKEND - Force remove DC having active host fails without an error
RHEVM-BACKEND - Force remove DC having active host fails without an error
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Ravi Nori
infra
: Triaged
Depends On:
Blocks: 950659
  Show dependency treegraph
 
Reported: 2013-09-11 09:12 EDT by Barak Dagan
Modified: 2016-02-10 14:26 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 11:54:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barak Dagan 2013-09-11 09:12:57 EDT
Description of problem:
From web admin portal, force remove DC having active host - seems to do nothing.
There is no event nor an Alert. In engine log the following line can be found:

WARN  [org.ovirt.engine.core.bll.storage.RemoveStoragePoolCommand] (ajp-/127.0.0.1:8702-6) CanDoAction of action RemoveStoragePool faile
d. Reasons:VAR__TYPE__STORAGE__POOL,VAR__ACTION__REMOVE,ERROR_CANNOT_FORCE_REMOVE_STORAGE_POOL_WITH_VDS_NOT_IN_MAINTENANCE


Version-Release number of selected component (if applicable):
is13

How reproducible:
100#

Steps to Reproduce:
1. Create DC - add datacenter --name dc4 --storage_type nfs --version-major 3 --version-minor 3
2. Create Cluster - add cluster --name cl4 --data_center-name dc4 --cpu-id "Intel Conroe Family"
3. add host - add host --name MyHost --address MyHostIP --cluster-name cl4 --root_password rpwd
4. From WebAdmin - force remove dc4

Actual results:
nothing happens

Expected results:
Event: "Cannot remove DataCenter while there are Hosts that are not in Maintenance mode."

Additional info:
remove dc does remove the dc (cluster and host remains)
Comment 3 Ravi Nori 2013-09-11 16:20:52 EDT
Hi Barak,

With the current upstream master, when I try to force remove a DC with a host that is in status UP. I get an error message in webadmin (pop up)

Error while executing action: Cannot remove Data Center while there are Hosts that are not in Maintenance mode

There is no event logged, do we need an event logged in this case?

I don't see canDoAction failures logged as events in other commands
Comment 4 Barak Dagan 2013-09-12 03:42:27 EDT
Hi Ravi, 

A new downstream was just released, I'll check it again and let you know.
previously the message you mentioned, was logged as an event, pop up will work for me as well.

The canDoAction failure was found in engine log.
Comment 5 Barak 2013-09-12 11:22:27 EDT
Barak Dagan,

Please remove the needinfo when the information on the new build is provided.
Comment 6 Barak Dagan 2013-09-12 11:54:10 EDT
Hi Ravi, 

Works as you described on is14.

Note You need to log in before you can comment on or make changes to this bug.